Bug 683781 - kvm: guest stale memory after migration [rhel-6.0.z]
Summary: kvm: guest stale memory after migration [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 647367
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-10 11:32 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:50 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-71.20.1.el6
Doc Type: Bug Fix
Doc Text:
Migrating a guest could have resulted in dirty values for the guest being retained in memory, which could have caused both the guest and qemu to crash. The trigger for this was memory pages being both write-protected and dirty simultaneously. With this update, memory pages in the current bitmap are either dirty or write-protected when migrating a guest, with the result that neither qemu nor guest operating systems crash following a migration.
Clone Of:
Environment:
Last Closed: 2011-04-08 02:59:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description RHEL Product and Program Management 2011-03-10 11:32:55 UTC
This bug has been copied from bug #647367 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 4 Mike Cao 2011-04-01 10:33:31 UTC
Tested on in 
I also tried on kernel-2.6.32-71.18.1.el6(patch not included)kernel-2.6.32-71.24.1.el6(patch included)&qemu-kvm-0.12.1.2-2.113.el6_0.8.x86_64

Repeat the steps in https://bugzilla.redhat.com/show_bug.cgi?id=642243#c1 100 times

Actual Results:
on kernel-2.6.32-71.18.1.el6 ,no kernel panic occurs in the guest ,can NOT reproduce this issue 
on kernel-2.6.32-71.24.1.el6 ,no kernel panic occurs in the guest

Hi,Frantisek
pls take a look the results above ,I can NOT reproduce on kernel-2.6.32-71.18.1.el6 ,I also tried 100 times on the fixed kernel ,also no kernel panic ,

Based on above ,How to deal with it ?

Comment 8 Miya Chen 2011-04-04 08:13:01 UTC
Confirmed with mst, QE do patch check and regression test to verify this bug:
1. # grep 683781 kernel.spec 
- [virt] kvm: write protect memory after slot swap (Michael S. Tsirkin) [683781 647367]

2. Repeat the steps in https://bugzilla.redhat.com/show_bug.cgi?id=642243#c1 100
times on kernel-2.6.32-71.24.1.el6 ,no kernel panic occurs in the guest.

Comment 11 errata-xmlrpc 2011-04-08 02:59:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0421.html

Comment 12 Martin Prpič 2011-04-12 12:44:36 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Migrating a guest could have resulted in dirty values for the guest being retained in memory, which could have caused both the guest and qemu to crash. The trigger for this was memory pages being both write-protected and dirty simultaneously. With this update, memory pages in the current bitmap are either dirty or write-protected when migrating a guest, with the result that neither qemu nor guest operating systems crash following a migration.


Note You need to log in before you can comment on or make changes to this bug.